package ink.wgink.register.base.pojo.vos;

import ink.wgink.annotation.CheckEmptyAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: RegisterPhoneVO
 * @Description: 手机注册
 * @Author: wanggeng
 * @Date: 2021/5/1 11:47 上午
 * @Version: 1.0
 */
@ApiModel
public class RegisterPhoneVO {

    @ApiModelProperty(name = "phone", value = "手机号")
    @CheckEmptyAnnotation(name = "手机号", verifyType = "phone")
    private String phone;
    @ApiModelProperty(name = "verifyCode", value = "验证码")
    @CheckEmptyAnnotation(name = "验证码")
    private String verifyCode;

    public String getPhone() {
        return phone == null ? "" : phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getVerifyCode() {
        return verifyCode == null ? "" : verifyCode;
    }

    public void setVerifyCode(String verifyCode) {
        this.verifyCode = verifyCode;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"phone\":\"")
                .append(phone).append('\"');
        sb.append(",\"verifyCode\":\"")
                .append(verifyCode).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
